<?php
/* Autor...: William L. Taype Perez */
/* Esquema.: VTA_ProductoFinal.xml */
/* Generado: 2021-04-07 18:25:48 */

/* Mantenimiento de los registros de la tabla VTA_ProductoFinal */
abstract class BaseVTA_ProductoFinalDP extends VTA_ProductoFinalBV
{
    /* Constructor ( Establece los valores desde un objeto VTA_ProductoFinalBN ) */
    public function __construct( VTA_ProductoFinalBN $o_VTA_ProductoFinalBN = null )
    {
        parent::__construct();
        if ( !is_null( $o_VTA_ProductoFinalBN ) )
        {
            $this->setByBN( $o_VTA_ProductoFinalBN );
        }
    }

    public $b_Debug = false;

    public function getDebug()
    {
        if( SF_DEBUG )
        {
            $this->b_Debug = true;
        }
        return $this->b_Debug;
    }

    public function setDebug( $v )
    {
        $this->b_Debug = $v;
    }

    /* Establece los valores desde un objeto VTA_ProductoFinalBN */
    public function setByBN( VTA_ProductoFinalBN $o_VTA_ProductoFinalBN )
    {
        if ( !is_null( $o_VTA_ProductoFinalBN->getProFinalId() ) )
        {
            $this->setProFinalId( $o_VTA_ProductoFinalBN->getProFinalId() );
        }
        if ( !is_null( $o_VTA_ProductoFinalBN->getOrdenId() ) )
        {
            $this->setOrdenId( $o_VTA_ProductoFinalBN->getOrdenId() );
        }
        if ( !is_null( $o_VTA_ProductoFinalBN->getItemTipoClase() ) )
        {
            $this->setItemTipoClase( $o_VTA_ProductoFinalBN->getItemTipoClase() );
        }
        if ( !is_null( $o_VTA_ProductoFinalBN->getSecuencia() ) )
        {
            $this->setSecuencia( $o_VTA_ProductoFinalBN->getSecuencia() );
        }
        if ( !is_null( $o_VTA_ProductoFinalBN->getIdItem() ) )
        {
            $this->setIdItem( $o_VTA_ProductoFinalBN->getIdItem() );
        }
        if ( !is_null( $o_VTA_ProductoFinalBN->getIdOrdenPrdCab() ) )
        {
            $this->setIdOrdenPrdCab( $o_VTA_ProductoFinalBN->getIdOrdenPrdCab() );
        }
        if ( !is_null( $o_VTA_ProductoFinalBN->getIdLinea() ) )
        {
            $this->setIdLinea( $o_VTA_ProductoFinalBN->getIdLinea() );
        }
        if ( !is_null( $o_VTA_ProductoFinalBN->getIdFamilia() ) )
        {
            $this->setIdFamilia( $o_VTA_ProductoFinalBN->getIdFamilia() );
        }
        if ( !is_null( $o_VTA_ProductoFinalBN->getIdSubFamilia() ) )
        {
            $this->setIdSubFamilia( $o_VTA_ProductoFinalBN->getIdSubFamilia() );
        }
        if ( !is_null( $o_VTA_ProductoFinalBN->getIdAlmacen() ) )
        {
            $this->setIdAlmacen( $o_VTA_ProductoFinalBN->getIdAlmacen() );
        }
        if ( !is_null( $o_VTA_ProductoFinalBN->getIdUnidad() ) )
        {
            $this->setIdUnidad( $o_VTA_ProductoFinalBN->getIdUnidad() );
        }
        if ( !is_null( $o_VTA_ProductoFinalBN->getIdItemTipo() ) )
        {
            $this->setIdItemTipo( $o_VTA_ProductoFinalBN->getIdItemTipo() );
        }
        if ( !is_null( $o_VTA_ProductoFinalBN->getDetalleDescripcion() ) )
        {
            $this->setDetalleDescripcion( $o_VTA_ProductoFinalBN->getDetalleDescripcion() );
        }
        if ( !is_null( $o_VTA_ProductoFinalBN->getAltura() ) )
        {
            $this->setAltura( $o_VTA_ProductoFinalBN->getAltura() );
        }
        if ( !is_null( $o_VTA_ProductoFinalBN->getCantidad() ) )
        {
            $this->setCantidad( $o_VTA_ProductoFinalBN->getCantidad() );
        }
        if ( !is_null( $o_VTA_ProductoFinalBN->getCantidadRecibida() ) )
        {
            $this->setCantidadRecibida( $o_VTA_ProductoFinalBN->getCantidadRecibida() );
        }
        if ( !is_null( $o_VTA_ProductoFinalBN->getPrecioUnitario() ) )
        {
            $this->setPrecioUnitario( $o_VTA_ProductoFinalBN->getPrecioUnitario() );
        }
        if ( !is_null( $o_VTA_ProductoFinalBN->getImpuestoUnitario() ) )
        {
            $this->setImpuestoUnitario( $o_VTA_ProductoFinalBN->getImpuestoUnitario() );
        }
        if ( !is_null( $o_VTA_ProductoFinalBN->getPrecioUnitarioConIGV() ) )
        {
            $this->setPrecioUnitarioConIGV( $o_VTA_ProductoFinalBN->getPrecioUnitarioConIGV() );
        }
        if ( !is_null( $o_VTA_ProductoFinalBN->getSubTotalSinIGV() ) )
        {
            $this->setSubTotalSinIGV( $o_VTA_ProductoFinalBN->getSubTotalSinIGV() );
        }
        if ( !is_null( $o_VTA_ProductoFinalBN->getImpuestoSubTotal() ) )
        {
            $this->setImpuestoSubTotal( $o_VTA_ProductoFinalBN->getImpuestoSubTotal() );
        }
        if ( !is_null( $o_VTA_ProductoFinalBN->getPrecioTotalConIGV() ) )
        {
            $this->setPrecioTotalConIGV( $o_VTA_ProductoFinalBN->getPrecioTotalConIGV() );
        }
        if ( !is_null( $o_VTA_ProductoFinalBN->getDsctoTipoCod() ) )
        {
            $this->setDsctoTipoCod( $o_VTA_ProductoFinalBN->getDsctoTipoCod() );
        }
        if ( !is_null( $o_VTA_ProductoFinalBN->getDsctoCod() ) )
        {
            $this->setDsctoCod( $o_VTA_ProductoFinalBN->getDsctoCod() );
        }
        if ( !is_null( $o_VTA_ProductoFinalBN->getDsctoTotal() ) )
        {
            $this->setDsctoTotal( $o_VTA_ProductoFinalBN->getDsctoTotal() );
        }
        if ( !is_null( $o_VTA_ProductoFinalBN->getBaseImponible() ) )
        {
            $this->setBaseImponible( $o_VTA_ProductoFinalBN->getBaseImponible() );
        }
        if ( !is_null( $o_VTA_ProductoFinalBN->getImpuestoConDscto() ) )
        {
            $this->setImpuestoConDscto( $o_VTA_ProductoFinalBN->getImpuestoConDscto() );
        }
        if ( !is_null( $o_VTA_ProductoFinalBN->getTotalaPagar() ) )
        {
            $this->setTotalaPagar( $o_VTA_ProductoFinalBN->getTotalaPagar() );
        }
        if ( !is_null( $o_VTA_ProductoFinalBN->getUsuarioCreacion() ) )
        {
            $this->setUsuarioCreacion( $o_VTA_ProductoFinalBN->getUsuarioCreacion() );
        }
        if ( !is_null( $o_VTA_ProductoFinalBN->getFechaCreacion() ) )
        {
            $this->setFechaCreacion( $o_VTA_ProductoFinalBN->getFechaCreacion() );
        }
        if ( !is_null( $o_VTA_ProductoFinalBN->getUsuarioModificacion() ) )
        {
            $this->setUsuarioModificacion( $o_VTA_ProductoFinalBN->getUsuarioModificacion() );
        }
        if ( !is_null( $o_VTA_ProductoFinalBN->getFechaModificacion() ) )
        {
            $this->setFechaModificacion( $o_VTA_ProductoFinalBN->getFechaModificacion() );
        }
    }

    /* Graba un nuevo registro */
    public function save()
    {
        $this->validateRecord();
        $o_VTA_ProductoFinalFN = new VTA_ProductoFinalFN();
        $o_VTA_ProductoFinalBN = $o_VTA_ProductoFinalFN->selectByPk( $this->getProFinalId() );
        if ( is_null( $o_VTA_ProductoFinalBN ) )
        {
            $s_SQLQuery1 = "INSERT INTO VTA_ProductoFinal ( ";
            $s_SQLQuery2 = "VALUES ( ";
            $s_Separator = "";
            if ( !is_null( $this->getProFinalId() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ProFinalId";
                $s_SQLQuery2 .= $s_Separator."".$this->getProFinalId()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenId() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenId";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenId()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getItemTipoClase() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ItemTipoClase";
                $s_SQLQuery2 .= $s_Separator."".$this->getItemTipoClase()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getSecuencia() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Secuencia";
                $s_SQLQuery2 .= $s_Separator."'".$this->getSecuencia()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdItem() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdItem";
                $s_SQLQuery2 .= $s_Separator."'".$this->getIdItem()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdOrdenPrdCab() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdOrdenPrdCab";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdOrdenPrdCab()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdLinea() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdLinea";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdLinea()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdFamilia() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdFamilia";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdFamilia()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdSubFamilia() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdSubFamilia";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdSubFamilia()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdAlmacen() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdAlmacen";
                $s_SQLQuery2 .= $s_Separator."'".$this->getIdAlmacen()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdUnidad() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdUnidad";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdUnidad()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdItemTipo() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdItemTipo";
                $s_SQLQuery2 .= $s_Separator."'".$this->getIdItemTipo()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDetalleDescripcion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."DetalleDescripcion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getDetalleDescripcion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getAltura() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Altura";
                $s_SQLQuery2 .= $s_Separator."".$this->getAltura()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getCantidad() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Cantidad";
                $s_SQLQuery2 .= $s_Separator."".$this->getCantidad()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getCantidadRecibida() ) )
            {
                $s_SQLQuery1 .= $s_Separator."CantidadRecibida";
                $s_SQLQuery2 .= $s_Separator."".$this->getCantidadRecibida()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPrecioUnitario() ) )
            {
                $s_SQLQuery1 .= $s_Separator."PrecioUnitario";
                $s_SQLQuery2 .= $s_Separator."".$this->getPrecioUnitario()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getImpuestoUnitario() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ImpuestoUnitario";
                $s_SQLQuery2 .= $s_Separator."".$this->getImpuestoUnitario()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPrecioUnitarioConIGV() ) )
            {
                $s_SQLQuery1 .= $s_Separator."PrecioUnitarioConIGV";
                $s_SQLQuery2 .= $s_Separator."".$this->getPrecioUnitarioConIGV()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getSubTotalSinIGV() ) )
            {
                $s_SQLQuery1 .= $s_Separator."SubTotalSinIGV";
                $s_SQLQuery2 .= $s_Separator."".$this->getSubTotalSinIGV()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getImpuestoSubTotal() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ImpuestoSubTotal";
                $s_SQLQuery2 .= $s_Separator."".$this->getImpuestoSubTotal()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPrecioTotalConIGV() ) )
            {
                $s_SQLQuery1 .= $s_Separator."PrecioTotalConIGV";
                $s_SQLQuery2 .= $s_Separator."".$this->getPrecioTotalConIGV()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDsctoTipoCod() ) )
            {
                $s_SQLQuery1 .= $s_Separator."DsctoTipoCod";
                $s_SQLQuery2 .= $s_Separator."'".$this->getDsctoTipoCod()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDsctoCod() ) )
            {
                $s_SQLQuery1 .= $s_Separator."DsctoCod";
                $s_SQLQuery2 .= $s_Separator."'".$this->getDsctoCod()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDsctoTotal() ) )
            {
                $s_SQLQuery1 .= $s_Separator."DsctoTotal";
                $s_SQLQuery2 .= $s_Separator."".$this->getDsctoTotal()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getBaseImponible() ) )
            {
                $s_SQLQuery1 .= $s_Separator."BaseImponible";
                $s_SQLQuery2 .= $s_Separator."".$this->getBaseImponible()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getImpuestoConDscto() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ImpuestoConDscto";
                $s_SQLQuery2 .= $s_Separator."".$this->getImpuestoConDscto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTotalaPagar() ) )
            {
                $s_SQLQuery1 .= $s_Separator."TotalaPagar";
                $s_SQLQuery2 .= $s_Separator."".$this->getTotalaPagar()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioCreacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."UsuarioCreacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getUsuarioCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaCreacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaCreacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioModificacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."UsuarioModificacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getUsuarioModificacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaModificacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaModificacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaModificacion()."'";
                $s_Separator = ", ";
            }
            $s_SQLQuery = $s_SQLQuery1." ) ".$s_SQLQuery2." );";
            $o_Resource = Conexion::getConexion();
            $o_Statement = $o_Resource->createStatement();
            $o_Statement->executeQuery( $s_SQLQuery );
            if( $this->getDebug() ){ pr( $s_SQLQuery ); }
        }
        else
        {
            throw new Exception( "El id ya esta registrado." );
        }
        return true;
    }

    /* Actualiza los datos del registro */
    public function update()
    {
        $this->validateRecord();
        if ( true )
        {
            $s_SQLQuery = "UPDATE VTA_ProductoFinal SET ";
            $s_Separator = "";
            if ( !is_null( $this->getOrdenId() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenId = ".$this->getOrdenId()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getItemTipoClase() ) )
            {
                $s_SQLQuery .= $s_Separator."ItemTipoClase = ".$this->getItemTipoClase()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getSecuencia() ) )
            {
                $s_SQLQuery .= $s_Separator."Secuencia = '".$this->getSecuencia()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdItem() ) )
            {
                $s_SQLQuery .= $s_Separator."IdItem = '".$this->getIdItem()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdOrdenPrdCab() ) )
            {
                $s_SQLQuery .= $s_Separator."IdOrdenPrdCab = ".$this->getIdOrdenPrdCab()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdLinea() ) )
            {
                $s_SQLQuery .= $s_Separator."IdLinea = ".$this->getIdLinea()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdFamilia() ) )
            {
                $s_SQLQuery .= $s_Separator."IdFamilia = ".$this->getIdFamilia()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdSubFamilia() ) )
            {
                $s_SQLQuery .= $s_Separator."IdSubFamilia = ".$this->getIdSubFamilia()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdAlmacen() ) )
            {
                $s_SQLQuery .= $s_Separator."IdAlmacen = '".$this->getIdAlmacen()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdUnidad() ) )
            {
                $s_SQLQuery .= $s_Separator."IdUnidad = ".$this->getIdUnidad()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdItemTipo() ) )
            {
                $s_SQLQuery .= $s_Separator."IdItemTipo = '".$this->getIdItemTipo()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDetalleDescripcion() ) )
            {
                $s_SQLQuery .= $s_Separator."DetalleDescripcion = '".$this->getDetalleDescripcion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getAltura() ) )
            {
                $s_SQLQuery .= $s_Separator."Altura = ".$this->getAltura()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getCantidad() ) )
            {
                $s_SQLQuery .= $s_Separator."Cantidad = ".$this->getCantidad()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getCantidadRecibida() ) )
            {
                $s_SQLQuery .= $s_Separator."CantidadRecibida = ".$this->getCantidadRecibida()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPrecioUnitario() ) )
            {
                $s_SQLQuery .= $s_Separator."PrecioUnitario = ".$this->getPrecioUnitario()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getImpuestoUnitario() ) )
            {
                $s_SQLQuery .= $s_Separator."ImpuestoUnitario = ".$this->getImpuestoUnitario()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPrecioUnitarioConIGV() ) )
            {
                $s_SQLQuery .= $s_Separator."PrecioUnitarioConIGV = ".$this->getPrecioUnitarioConIGV()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getSubTotalSinIGV() ) )
            {
                $s_SQLQuery .= $s_Separator."SubTotalSinIGV = ".$this->getSubTotalSinIGV()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getImpuestoSubTotal() ) )
            {
                $s_SQLQuery .= $s_Separator."ImpuestoSubTotal = ".$this->getImpuestoSubTotal()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPrecioTotalConIGV() ) )
            {
                $s_SQLQuery .= $s_Separator."PrecioTotalConIGV = ".$this->getPrecioTotalConIGV()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDsctoTipoCod() ) )
            {
                $s_SQLQuery .= $s_Separator."DsctoTipoCod = '".$this->getDsctoTipoCod()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDsctoCod() ) )
            {
                $s_SQLQuery .= $s_Separator."DsctoCod = '".$this->getDsctoCod()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDsctoTotal() ) )
            {
                $s_SQLQuery .= $s_Separator."DsctoTotal = ".$this->getDsctoTotal()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getBaseImponible() ) )
            {
                $s_SQLQuery .= $s_Separator."BaseImponible = ".$this->getBaseImponible()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getImpuestoConDscto() ) )
            {
                $s_SQLQuery .= $s_Separator."ImpuestoConDscto = ".$this->getImpuestoConDscto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTotalaPagar() ) )
            {
                $s_SQLQuery .= $s_Separator."TotalaPagar = ".$this->getTotalaPagar()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioCreacion() ) )
            {
                $s_SQLQuery .= $s_Separator."UsuarioCreacion = '".$this->getUsuarioCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaCreacion() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaCreacion = '".$this->getFechaCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioModificacion() ) )
            {
                $s_SQLQuery .= $s_Separator."UsuarioModificacion = '".$this->getUsuarioModificacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaModificacion() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaModificacion = '".$this->getFechaModificacion()."'";
                $s_Separator = ", ";
            }
            $s_SQLQuery .= " WHERE  ProFinalId = ".$this->getProFinalId().";";
            $o_Resource = Conexion::getConexion();
            $o_Statement = $o_Resource->createStatement();
            $o_Statement->executeQuery( $s_SQLQuery );
            if( $this->getDebug() ){ pr( $s_SQLQuery ); }

        }
        else
        {
            throw new Exception( "El id no esta registrado." );
        }
        return true;
    }

    /* Elimina el registro */
    public function delete()
    {
        $s_SQLQuery = "DELETE FROM VTA_ProductoFinal WHERE  ProFinalId = ".$this->getProFinalId().";";
        $o_Resource = Conexion::getConexion();
        $o_Statement = $o_Resource->createStatement();
        $o_Statement->executeQuery( $s_SQLQuery );
        if( $this->getDebug() ){ pr( $s_SQLQuery ); }
        return true;
    }

}
?>